package jeuDeLavie;

public interface Grille {
    /**
     *  
     * Une grille est compose de nbLignes * nbColonnes cases.
     * Chaque case  une couleur prcise et un caractre peut tre affich
     *  l'intrieur
     *
     **/

    /**
     * 
     * @return le nombre de colonnes de la grille
     */
    public int getNbColonnes();
    
    /**
     * 
     * @return le nombre de lignes de la grille
     */
    public int getNbLignes();

    /**
     * 
     * @param p la position
     * @return la couleur
     */
    public java.awt.Color getCouleurEn(Position p);
    
    /**
     * 
     * @param p la position
     * @return le caractre  afficher
     */
    public char getCaractereEn(Position p);
}
