package jeuDeLavie;

import java.util.Scanner;

public class AfficheurGrilleTexte implements AfficheGrille {
    private boolean clear = false;
    private Scanner sc = new Scanner(System.in);
    
    public AfficheurGrilleTexte() {}
    
    public AfficheurGrilleTexte(boolean b)
    {
     clear = b;   
    }

    public void affiche(Grille grille, String message) {
        System.out.println("******** " + message + " ******** ");
        for (int i = 0; i < grille.getNbLignes(); i++) {
            for (int j = 0; j < grille.getNbColonnes(); j++) {
                System.out.print(" " + grille.getCaractereEn(new Position(i, j))+ " ");
            }
            System.out.println();
        }
        if (clear)
        {
        	System.out.print("<enter>"); sc.nextLine();
        	try {
        	    Runtime.getRuntime().exec("/usr/bin/clear");
        	    System.out.print("[H[2J");
        	} catch(Exception e) {System.out.println(e);}
        }
    }
}
